### Hierarchy

- PerformanceEntry
  - PerformanceResourceTiming
    - PerformanceNavigationTiming

## Index

### Properties

- PerformanceEntry
- connectEnd
- connectStart
- decodedBodySize
- domainLookupEnd
- domainLookupStart
- duration
- encodedBodySize
- entryType
- fetchStart
- initiatorType
- name
- nextHopProtocol
- redirectEnd
- redirectStart
- requestStart
- responseEnd
- responseStart
- secureConnectionStart
- startTime
- transferSize
- workerStart

### Methods

- toJSON

## Properties

### PerformanceEntry

PerformanceEntry: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10994

#### Type declaration

- ##### constructor: function

  - new __type(): PerformanceEntry
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10995

    #### Returns PerformanceEntry

- ##### prototype: PerformanceEntry

### connectEnd

connectEnd: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11076

### connectStart

connectStart: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11077

### decodedBodySize

decodedBodySize: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11078

### domainLookupEnd

domainLookupEnd: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11079

### domainLookupStart

domainLookupStart: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11080

### duration

duration: number

Inherited from PerformanceEntry.duration

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10987

### encodedBodySize

encodedBodySize: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11081

### entryType

entryType: string

Inherited from PerformanceEntry.entryType

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10988

### fetchStart

fetchStart: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11082

### initiatorType

initiatorType: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11083

### name

name: string

Inherited from PerformanceEntry.name

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10989

### nextHopProtocol

nextHopProtocol: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11084

### redirectEnd

redirectEnd: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11085

### redirectStart

redirectStart: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11086

### requestStart

requestStart: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11087

### responseEnd

responseEnd: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11088

### responseStart

responseStart: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11089

### secureConnectionStart

secureConnectionStart: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11090

### startTime

startTime: number

Inherited from PerformanceEntry.startTime

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10990

### transferSize

transferSize: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11091

### workerStart

workerStart: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11092

## Methods

### toJSON

- toJSON(): any

- Overrides PerformanceEntry.toJSON

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11093

  #### Returns any

Generated using TypeDoc